Commit 2176354e authored by David Goulet's avatar David Goulet 🤘
Browse files

Remove unmaintained versions from CI and scripts


Signed-off-by: David Goulet's avatarDavid Goulet <dgoulet@torproject.org>
parent 24b6b122
......@@ -188,18 +188,6 @@ debian-tracing:
DISTCHECK: "yes"
script:
- ./scripts/ci/ci-driver.sh
# Ensure that we only run tracing when it's implemented.
#
# Once versions before 0.4.5 are obsolete, we can remove this test.
rules:
# This first "if" check prevents us from running a duplicate version of
# this pipeline whenever we push and create an MR. I don't understand why
# it is necessary, though the following URL purports to explain:
#
# https://docs.gitlab.com/ee/ci/yaml/#prevent-duplicate-pipelines
- if: '$CI_PIPELINE_SOURCE == "push"'
exists:
- src/lib/trace/trace_sys.c
#####
# No-authority mode
......@@ -220,18 +208,6 @@ debian-disable-relay:
DISABLE_RELAY: "yes"
script:
- ./scripts/ci/ci-driver.sh
# Ensure that we only run tracing when it's implemented.
#
# Once versions before 0.4.3 are obsolete, we can remove this test.
rules:
# This first "if" check prevents us from running a duplicate version of
# this pipeline whenever we push and create an MR. I don't understand why
# it is necessary, though the following URL purports to explain:
#
# https://docs.gitlab.com/ee/ci/yaml/#prevent-duplicate-pipelines
- if: '$CI_PIPELINE_SOURCE == "push"'
exists:
- src/feature/relay/relay_stub.c
#####
# NSS check on debian
......
......@@ -293,22 +293,6 @@ TOR_VER_AT_LEAST_044=no
# These are the currently supported Tor versions; no need to work with anything
# ancient in this script.
case "$TOR_VERSION" in
0.3.*)
TOR_VER_AT_LEAST_043=no
TOR_VER_AT_LEAST_044=no
;;
0.4.[012].*)
TOR_VER_AT_LEAST_043=no
TOR_VER_AT_LEAST_044=no
;;
0.4.3.*)
TOR_VER_AT_LEAST_043=yes
TOR_VER_AT_LEAST_044=no
;;
0.4.4.*)
TOR_VER_AT_LEAST_043=yes
TOR_VER_AT_LEAST_044=yes
;;
0.4.5.*)
TOR_VER_AT_LEAST_043=yes
TOR_VER_AT_LEAST_044=yes
......
......@@ -143,9 +143,6 @@ finish() {
# List of all branches. These must be in order, from oldest to newest, with
# maint before release.
branch maint-0.3.5
branch release-0.3.5
branch maint-0.4.5
branch release-0.4.5
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment